Autore Topic: plugin di phonegap che non funziona sulle ultime versioni  (Letto 524 volte)

Offline titanum

  • Nuovo arrivato
  • *
  • Post: 47
  • Respect: 0
    • Mostra profilo
plugin di phonegap che non funziona sulle ultime versioni
« il: 28 Maggio 2012, 13:12:37 CEST »
0
Ciao ragazzi, ho un problema con un vecchio plugin di Phonegap, "C2DM for phonegap" che serve ad utilizzare le notifiche push con questo framework. Il problema è che il plugin è aggiornato alla versione 1.2 di phonegap, che ora è alla versione 1.7 ed ha cambiato nome, diventando cordova. Questo ha portato alcuni cambiamenti nel codice di Phonegap, in particolare la classe  Plugin aveva, ed ha una variabile chiamata ctx, ma con l'ultima versione ha un diverso tipo di dato: da Context a CordovaInterface, con conseguente conflitto. Qualcuno si è trovato ad affrontare questo problema? Suggerimenti su come risolvere? Grazie